Post V 2 Journeys

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Request

This endpoint expects an object.
workflow_idstringRequired
stepslist of objectsRequired
work_set_workflow_idstringOptional
co_author_idslist of stringsOptional
started_atintegerOptional
completed_atintegerOptional
taken_over_from_journey_idstringOptional
notestringOptional
in_progress_user_idstringOptional

Response

created Journey
idstring
ULID
titlestring
workflow_idstring
ULID
contributor_idslist of strings
approvedboolean
started_atlong

Unix timestamp (seconds since epoch)

completed_atlong

Unix timestamp (seconds since epoch)

work_set_workflow_idstring
ULID
taken_over_from_journey_idstring
ULID
in_progress_user_idstring
ULID
notestring
co_author_idslist of strings

Deprecated, use contributor_ids

user_idstring
ULID
in_progress_userobject
work_set_workflowobject
stepslist of objects
flagged_stepslist of objects
userobject
contributorslist of objects
connected_userslist of objects
co_authorslist of objects
Deprecated, use contributors
approvalslist of objects
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)